Subject: Announce VRML-modules
From: Hartmut Palm <[email-masked]>
Date: 6 Apr 1997 16:14:59 GMT
Newsgroups: comp.lang.perl.announce,comp.lang.perl.modules

This is to announce the availability of VRML-modules.  This is still an
beta release.  I have only used it in small, toy applications, like
Netscape Bookmark File to VRML converter or thesaurus visualisation, 
(http://www.gfz-potsdam.de/drz/VRML/bmvrml.html) so there
are probably bugs in it.  Still, it does seem to work well in the cases
I've tested it in, so others may find it useful, and at this point, I
would
like to get some feedback about it.

VRML is a module for dealing with VRML nodes. It is object oriented and 
has some added functionality with respect to VRML plugins.
- uses X11(Netscapes) color names
- compact format: $vrml->cube(3,"yellow")
- usefull for dynamic VRML generation with CGIs and HTTP-Server
- respects HTML-Browser, VRML-Viewer, FRAMES
- creates VRML 1.0c or VRML 2.0 with the same script

Modules in the VRML package:

VRML
VRML::VRNL1
VRML::VRML1::Standard
VRML::VRML2
VRML::VRML2::Standard
VRML::Color
VRML::Basic

This module is available from CPAN and also from my home page:
  http://www.gfz-potsdam.de/~palm
  http://www.gfz-potsdam.de/~palm/software/VRML/VRML-0.97.tar.gz

Hartmut

Example:

use VRML;
VRML->new->browser("LIVE3D")
->background("black", "starbak.gif")
->cube(2,"orange")->print;

*** generate VRML 1.0c ***

#VRML V1.0 ascii

# Set Browser to: 'LIVE3D'
DEF BackgroundColor Info {
        string  "0 0 0" # black
}
DEF BackgroundImage Info {
        string  "starbak.gif"
}
Group {
        Material {
                diffuseColor    1 0.647058823529412 0   # orange
        }
        Cube {
                width   2
                height  2
                depth   2
        }
}

*** or VRML 2.0 ***

#VRML V2.0 utf8

# Set Browser to: 'LIVE3D'
Background {
        backUrl "starbak.gif"
        bottomUrl       "starbak.gif"
        topUrl          "starbak.gif"
        leftUrl         "starbak.gif"
        rightUrl        "starbak.gif"
        frontUrl        "starbak.gif"
        skyColor        0 0 0
}
Shape {
        appearance Appearance {
                material Material {
                        diffuseColor    1 0.647058823529412 0   # orange
                }
        }
        geometry Box {
                size    2 2 2
        }
}

-- 

      __/      __/      __/__/__/        Hartmut Palm
     __/      __/      __/     __/       Daten- und Rechenzentrum
    __/      __/      __/     __/        GeoForschungsZentrum Potsdam
   __/__/__/__/      __/__/__/           Telegrafenberg C6
  __/      __/      __/                  14473 Potsdam
 __/      __/      __/                   TEL.: ..49 (0)331 288/1690
__/      __/ __/  __/ __/                FAX.: ..49 (0)331 288/1703